/** pi_client.c
*
* The program is to calculate PI by calling
* a server program remotely.
*
*/

#include <stdio.h>
#include <rpc/rpc.h>   /* always needed */
#include "pi.h"

main(int argc, char *argv[])
{
	CLIENT *clnt;
	double  *result_1;
	char *host;
	char *  calcu_pi_1_arg;

	/* must have two arguments, including server host name */
	if (argc < 2) {
		printf("usage:  %s server_host\n", argv[0]);
		exit(1);
	}

	host = argv[1]; /* server host name */


	clnt = clnt_create(host, PIPROG, CALCU_PIVERS, "tcp");
	if (clnt == (CLIENT *) NULL) {
		clnt_pcreateerror(host);
		exit(1);
	}

	/* call remote procedure */
	result_1 = calcu_pi_1((void *)&calcu_pi_1_arg, clnt);
	if (result_1 == (double *) NULL) {
		clnt_perror(clnt, "call failed");
	}

	/* print the pi value */
	printf("PI is %f\n" , *result_1);

	clnt_destroy(clnt);

	exit(0);
}



