/** pi_server.c
*
* This program is a server side program to calculate pi value.
* The formula is:
* (pi / 4) = 1 - 1/3 + 1/5 - 1/7 ...
*/

#include <rpc/rpc.h> /* always needed */
#include "pi.h"

double *
calcu_pi_1_svc(void *argp, struct svc_req *rqstp)
{
	static double  pi;

	double sum = 0;
	int i;
	int sign;

	for (i=1; i<10000000; i++ ){
		sign = (i+1) % 2;
		if ( sign == 0 )
			sign = 1;
		else
			sign = -1;

		sum += 1 / (2*(double)i -1) * (double)sign;
	}

	pi = 4 * sum;

	return (&pi);
}

